#ifndef _LOGDEF_H_
#define _LOGDEF_H_

enum
{
	INFO,
	WARNING,
	ERROR,
	ALL
};
#define DEBUG_LEVEL ERROR

#define INFO_PRINT(info,...) \
	do{ \
		if(DEBUG_LEVEL>=INFO){	\
			printf("Info %s,%s,%d:"info"",__FILE__,__FUNCTION__,__LINE__,##__VA_ARGS__);}\
	}while(0)

#define WARNING_PRINT(warning,...) \
	do{ \
		if(DEBUG_LEVEL>=WARNING){	\
			printf("warning %s,%s,%d:"warning"",__FILE__,__FUNCTION__,__LINE__,##__VA_ARGS__);}\
	}while(0)
#define ERROR_PRINT(error,...) \
	do{ \
		if(DEBUG_LEVEL>=ERROR){	\
			printf("error %s,%s,%d:"error"",__FILE__,__FUNCTION__,__LINE__,##__VA_ARGS__);}\
	}while(0)	

#endif


